<template id="client">
  <div class="container mt-5">
    <h2>Editar cadastro</h2>
    <button class="btn btn-danger float-right" style="height: 40px">
      <router-link
        class="nav-link"
        style="color: white; margin-top: -10px"
        to="/homeCliente"
        >voltar</router-link
      >
    </button>
    <div class="panel-group">
      <div class="panel panel-default">
        <div class="card-header">
          <div class="form-group row">
            <div class="card-body">
              <form @submit.prevent="salvar">
                <div class="form-group row">
                  <div class="col-lg-12">
                    <input
                      type="text"
                      class="form-control"
                      name="nome"
                      ref="nome"
                      v-model="cliente.nome"
                      placeholder="nome"
                      required
                    />
                  </div>
                </div>
                <div class="form-group row">
                  <div class="col-lg-12">
                    <input
                      type="text"
                      class="form-control"
                      name="endereco"
                      v-model="cliente.endereco"
                      placeholder="Endereço"
                      required
                    />
                  </div>
                </div>
                <div class="form-group row">
                  <div class="col-lg-6">
                    <input
                      type="text"
                      class="form-control"
                      name="email"
                      v-model="cliente.email"
                      placeholder="email"
                      required
                    />
                  </div>

                  <div class="col-lg-6">
                    <input
                      type="text"
                      class="form-control"
                      name="cpf"
                      v-model="cliente.cpf"
                      placeholder="cpf"
                      required
                    />
                  </div>
                </div>
                <div class="form-group row">
                  <div class="col-lg-6">
                    <input
                      type="text"
                      class="form-control"
                      name="senha"
                      v-model="cliente.senha"
                      placeholder="senha"
                      required
                    />
                  </div>

                  <div class="col-lg-6">
                    <input
                      type="text"
                      class="form-control"
                      name="valor"
                      v-model="cliente.valor"
                      placeholder="Valor devido"
                      required
                    />
                  </div>
                </div>
                <div class="form-group row">
                  <div class="col-lg-9">
                    <input
                      type="text"
                      class="form-control"
                      name="telefone"
                      v-model="cliente.telefone"
                      placeholder="telefone"
                      required
                    />
                  </div>
                  <!-- <a class="btn btn-primary text-white float-right"  v-show="!tipo"  >
                      <i class="fas fa-sync"></i>Atualizar
                    </a> -->
                  <a
                    type="submit"
                    class="btn btn-success text-white float-right text-white"
                    value="Salvar"
                    @click="salvar()"
                  >
                    <i class="fas fa-plus-circle"></i>salvar
                  </a>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";

export default {
  data() {
    return {

      clientes: null,
      cliente: {
        id: null,
        nome: null,
        email: null,
        cpf: null,
        telefone: null,
        endereco: null,
        senha: null,
        valor: null,
      },
    };
  },
  methods: {
    salvar() {
      axios
        .put(
          this.$MainURL + "/clientes/" + this.cliente.user_id,
          this.cliente,
          {
            headers: {
              Authorization: `Bearer ${localStorage.getItem("token")}`,
            },
          }
        )
        // eslint-disable-next-line no-unused-vars
        .then((response) => {
          alert(`Ok, Alterado com sucesso`);
        });
    },
    editar() {
      axios
        .get(this.$MainURL + "/clienteedit", {
          headers: {
            Authorization: `Bearer ${localStorage.getItem("token")}`,
          },
        })
        .then((response) => {
          this.cliente = response.data;
          console.log(this.cliente);
        });
      this.$refs.nome.focus();
    },

    sal(id) {
      setTimeout(() => {
        this.cliente.id = id;
        this.axios
          .post(this.$MainURL + "/clientes", this.clientes, {
            headers: {
              Authorization: `Bearer ${localStorage.getItem("token")}`,
            },
          })
          .then(this.GoBack());
      }, 3000);
    },
    GoBack() {
      window.history.length > 1 ? this.$router.go(-1) : this.$router.push("/");
    },
  },
  mounted() {
    this.editar();
  },
};
</script>

<style scoped></style>
